package cn.com.ty.lift.enterprise.organization.service;

import cn.com.ty.lift.common.constants.ApiConstants;
import cn.com.ty.lift.enterprise.common.mapper.CommonMapper;
import cn.com.ty.lift.enterprise.organization.dao.entity.model.OrganizationReq;
import cn.com.xwy.boot.web.dto.RestResponse;
import lombok.AllArgsConstructor;
import org.springframework.stereotype.Service;

import java.util.ArrayList;
import java.util.List;
import java.util.Map;

@Service
@AllArgsConstructor
public class OrganizationService {
    private final CommonMapper mapper;

    //获取维保公司下的1省，2市，3区，4项目和电梯数量 5项目成员列表
    public RestResponse datas(OrganizationReq organizationReq) {
        List<Map<String, Object>> list = new ArrayList<Map<String, Object>>();
        switch (organizationReq.getListType()) {
            case 1:
                list = mapper.list("DISTINCT province",
                        "project",
                        "where mt_company_id= " + organizationReq.getMtCompanyId());
                break;
            case 2:
                list = mapper.list("DISTINCT city",
                        "project",
                        "where mt_company_id= " + organizationReq.getMtCompanyId());
                break;
            case 3:
                list = mapper.list("DISTINCT district",
                        "project",
                        "where mt_company_id= " + organizationReq.getMtCompanyId());
                break;
            case 4:
                list = mapper.list("DISTINCT id,project_name,num",
                        "project",
                        "where mt_company_id= " + organizationReq.getMtCompanyId());
                break;
            case 5:
                list = mapper.list(" pu.project_id,u.avatar_url,u.name,u.mobile,pu.is_monitor ",
                        " project_user pu left join user_info u on u.user_id = pu.user_id ",
                        "where mt_company_id = " + organizationReq.getMtCompanyId() + " and project_id = " + organizationReq.getProjectId());
                break;
        }
        if (list.isEmpty()) {
            return RestResponse.ok(null, ApiConstants.RESULT_NO_DATA, "无数据");
        }
        return RestResponse.ok(list, ApiConstants.RESULT_SUCCESS, "查询成功");
    }
}
